---
title: rattler-build upload anaconda
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [upload](index.md) anaconda

Options for uploading to a Anaconda.org server

## Usage
```
rattler-build upload anaconda [OPTIONS] --owner <OWNER>
```

## Options
- <a id="arg---owner" href="#arg---owner">`--owner (-o) <OWNER>`</a>
:  The owner of the distribution (e.g. conda-forge or your username)
<br>**required**: `true`
<br>**env**: `ANACONDA_OWNER`
- <a id="arg---channel" href="#arg---channel">`--channel (-c) <CHANNELS>`</a>
:  The channel / label to upload the package to (e.g. main / rc)
<br>May be provided more than once.
<br>**env**: `ANACONDA_CHANNEL`
- <a id="arg---api-key" href="#arg---api-key">`--api-key (-a) <API_KEY>`</a>
:  The Anaconda API key, if none is provided, the token is read from the keychain / auth-file
<br>**env**: `ANACONDA_API_KEY`
- <a id="arg---url" href="#arg---url">`--url (-u) <URL>`</a>
:  The URL to the Anaconda server
<br>**env**: `ANACONDA_SERVER_URL`
- <a id="arg---force" href="#arg---force">`--force (-f)`</a>
:  Replace files on conflict
<br>**env**: `ANACONDA_FORCE`
